Subject: Re: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andrea Corallo <[email-masked]>
Date: Fri, 05 Mar 2021 15:56:54 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Fri, 05 Mar 2021 14:04:58 +0000
>> 
>> > Maybe if I "stepi" inside that last libgccjit function, I will be able
>> > to advance more.  But something is definitely fishy here, and I'm not
>> > sure what that is.  Ideas for further debugging are welcome.
>> 
>> Not many here, just two Mr. obvious observations:
>> 
>> Recompiling comp.c at -O0 -g3 might help the broken stepping?
>
> comp.c (and all of Emacs) is already compiled with those options, as
> this is an unoptimized build.  And anyway, I'm stepping through the
> code of libgccjit, not comp.c, when the crash happens.

If it's crashing in libgccjit that sounds like a libgccjit bug.  Just to
mention, using `comp-libgccjit-reproducer' might be helpful here to
produce a libgccjit only reproducer (assuming it manages to create one
before crashing).

If the reproducer is created I can have a look here to see if that's
reproducible if you like.

  Andrea